<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<%= styled_form_tag(admin_settings_storage_path(@storage_to_destroy),
                    class: 'danger-zone',
                    method: :delete) do %>
  <section class="form--section">
    <h3 class="form--section-title">
      <%= t('storages.page_titles.file_storages.delete') %>
    </h3>
    <p>
      <%= t('storages.delete_warning.storage', file_storage: "<strong>#{h(@storage_to_destroy.name)}</strong>").html_safe %>
    </p>
    <ul class="mb-3">
      <li> <%= t('storages.delete_warning.storage_delete_result_1') %>
      <li> <%= t('storages.delete_warning.storage_delete_result_2') %>
      <li> <%= t('storages.delete_warning.storage_delete_result_3') %>
    </ul>
    <p class="danger-zone--warning">
      <span class="icon icon-error"></span>
      <span><%= t('storages.delete_warning.irreversible_notice') %></span>
    </p>
    <p>
      <%= t('storages.delete_warning.input_delete_confirmation', file_storage: "<em class=\"danger-zone--expected-value\">#{h(@storage_to_destroy.name)}</em>").html_safe %>
    </p>
    <div class="danger-zone--verification">
      <%= text_field_tag :delete_confirmation %>
      <%= styled_button_tag title: t(:button_delete), class: '-primary', disabled: true do
        concat content_tag :i, '', class: 'button--icon icon-delete'
        concat content_tag :span, t(:button_delete), class: 'button--text'
      end %>
      <%= link_to admin_settings_storages_path,
                  title: t(:button_cancel),
                  class: 'button -with-icon icon-cancel' do %>
        <%= t(:button_cancel) %>
      <% end %>
    </div>
  </section>
<% end %>
